/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   Serializer.hpp                                     :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2025/04/09 10:53:16 by adjoly            #+#    #+#             */
/*   Updated: 2025/04/09 12:22:12 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include <stdint.h>

struct Data {
	uintptr_t data;
};

class Serializer {
  public:
	static uintptr_t serialize(Data *ptr);
	static Data		*deserialize(uintptr_t raw);

  private:
	Serializer(void);
	~Serializer(void);
	Serializer(const Serializer &);

	Serializer &operator=(const Serializer &);
};
