/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.cpp                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2025/04/09 12:16:46 by adjoly            #+#    #+#             */
/*   Updated: 2025/04/09 12:21:09 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "Serializer.hpp"
#include <iostream>

int main() {
	Data data;

	data.data = 31;
	std::cout << "base : (" << &data<< ") foo = " << data.data
			  << std::endl;

	uintptr_t serialized = Serializer::serialize(&data);
	std::cout << "serilasize : (0x" << std::hex << serialized << std::dec
			  << ")\n";

	Data *deserialized = Serializer::deserialize(serialized);
	std::cout << "deserialize : (" << deserialized
		<< ") foo = " << deserialized->data << std::endl;
}
